<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="mesmac/abq/PtGradu" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="m">m</Parameter>
<Parameter name="k">k</Parameter>
<Parameter name="h">h</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Comment>
<P>Renvoie le point d&apos;abscisse k*f(m) sur la demi-droite
orientée [AB) et sa (h)graduation.</P>
</Comment>
<Objects>
<Expression name="h" n="0" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.32499999999999984" prompt="Valeur">Expression &quot;0.32499999999999984&quot; à 0.0, 0.0</Expression>
<Expression name="k" n="1" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.5625000000000014" prompt="Valeur">Expression &quot;0.5625000000000014&quot; à 0.0, 0.0</Expression>
<Expression name="m" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-0.9999999999999964" prompt="Valeur">Expression &quot;-0.9999999999999964&quot; à 0.0, 0.0</Expression>
<Point name="A" n="3" mainparameter="true" x="-3.6881482602499203" y="2.277256261184204">Point</Point>
<Point name="B" n="4" mainparameter="true" x="-1.7303535049329595" y="2.2711443470813757">Point</Point>
<Function name="f1" n="5" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Point name="P8" n="6" color="2" hidden="super" showname="true" x="x(A)+1/d(A,B)*(x(B)-x(A))" actx="-2.688153133144236" y="y(A)+1/d(A,B)*(y(B)-y(A))" acty="2.2741344404195307" shape="circle" fixed="true">Point</Point>
<Point name="P1" n="7" color="2" hidden="true" target="true" x="x(A)+k*f1(m)*(x(P8)-x(A))" actx="-3.6881482602499203" y="y(A)+k*f1(m)*(y(P8)-y(A))" acty="2.277256261184204" shape="circle" fixed="true">Point</Point>
<Ray name="r1" n="8" type="thin" hidden="super" from="A" to="P1">Demi-droite d&apos;origine A vers P1</Ray>
<Circle name="c1" n="9" color="4" hidden="super" fixed="h" midpoint="P1" filled="true" acute="true">Cercle de centre P1 de rayon h</Circle>
<Plumb name="perp1" n="10" hidden="super" point="P1" line="r1" valid="true">Perpendiculaire passant par P1 à r1</Plumb>
<Intersection name="P2" n="11" color="2" hidden="super" showname="true" first="perp1" second="c1" shape="circle" which="first">Intersection entre perp1 et c1</Intersection>
<Intersection name="P3" n="12" color="2" hidden="super" showname="true" first="perp1" second="c1" shape="circle" which="second">Intersection entre perp1 et c1</Intersection>
<Segment name="s1" n="13" color="1" target="true" from="P2" to="P3">Segment de P2 à P3</Segment>
</Objects>
</Macro>
<Macro Name="mesmac/abq/OriginefabAB" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Objects>
<Point name="A" n="0" mainparameter="true" x="-3.66799546239735" y="1.9691827530280994">Point</Point>
<Point name="B" n="1" mainparameter="true" x="1.7540389535311842" y="3.278876366473687">Point</Point>
<Expression name="a" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-0.375000000000016" prompt="Valeur">Expression &quot;-0.375000000000016&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="3" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="2.3749999999999947" prompt="Valeur">Expression &quot;2.3749999999999947&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="4" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Expression name="E3" n="5" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="0.9832495641341854" y="-0.7677679278605529" value="d(A,B)/(f1(b)-f1(a))" prompt="mod">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à 0.98325, -0.76777</Expression>
<Point name="P8" n="6" color="5" type="thick" showname="true" target="true" x="x(A)-E3*f1(a)*(x(B)-x(A))/d(A,B)" actx="-3.66799546239735" y="y(A)-E3*f1(a)*(y(B)-y(A))/d(A,B)" acty="1.9691827530280994" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/abq/ptMod" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Comment>
<P>Renvoie le point de coordonnées (mod,mod), où</P>
<P>mod =d(A;B)(/f1(b)-f1(a))</P>
</Comment>
<Objects>
<Point name="A" n="0" mainparameter="true" x="-3.9946987063084" y="2.814081778854675">Point</Point>
<Point name="B" n="1" mainparameter="true" x="-0.6812134348037144" y="3.373894358971905">Point</Point>
<Expression name="a" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="2.5000000000000027" prompt="Valeur">Expression &quot;2.5000000000000027&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="3" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="7.499999999999972" prompt="Valeur">Expression &quot;7.499999999999972&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="4" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Point name="P8" n="5" color="2" target="true" x="d(A,B)/(f1(b)-f1(a))" actx="0.06720885289702894" y="d(A,B)/(f1(b)-f1(a))" acty="0.06720885289702894" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/abq/pt&amp;CoteMfabAB" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="min">min</Parameter>
<Parameter name="max">max</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Parameter name="M">M</Parameter>
<Parameter name="P3">P3</Parameter>
<Objects>
<Point name="A" n="0" mainparameter="true" x="-3.1587982832618025" y="-1.8283261802575108">Point</Point>
<Point name="B" n="1" mainparameter="true" x="-0.0023466644361089806" y="0.18786502065902244">Point</Point>
<Expression name="a" n="2" color="2" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-1.8750000000000022" prompt="Valeur">Expression &quot;-1.8750000000000022&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="3" color="2" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="5.499999999999986" prompt="Valeur">Expression &quot;5.499999999999986&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="4" color="2" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Expression name="E3" n="5" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="1.2407475754326494" y="-0.9390206090066491" value="d(A,B)/(f1(b)-f1(a))" prompt="mod">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à 1.24075, -0.93902</Expression>
<Point name="P6" n="6" color="2" hidden="super" showname="true" x="x(A)-E3*f1(a)*(x(B)-x(A))/d(A,B)" actx="-3.1587982832618025" y="y(A)-E3*f1(a)*(y(B)-y(A))/d(A,B)" acty="-1.8283261802575108" shape="circle" fixed="true">Point</Point>
<Point name="M" n="7" mainparameter="true" x="-0.6403906325169406" y="-0.21968712636898524">Point</Point>
<Expression name="min" n="8" color="2" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0" prompt="Valeur">Expression &quot;0&quot; à 0.0, 0.0</Expression>
<Expression name="max" n="9" color="2" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="50" prompt="Valeur">Expression &quot;50&quot; à 0.0, 0.0</Expression>
<Point name="P1" n="10" color="2" hidden="super" showname="true" x="x(P6)+1/d(P6,B)*(x(B)-x(P6))" actx="-2.3160498590031025" y="y(P6)+1/d(P6,B)*(y(B)-y(P6))" acty="-1.29001856057386" shape="circle" fixed="true">Point</Point>
<Expression name="E6" n="11" color="1" type="thin" hidden="super" showname="true" showvalue="true" large="true" ctag0="black" cexpr0="1" x="2.3580043503925365" y="0.16796241497861092" value="if(x(P1)~=x(P6),(y(M)-y(P6))/(y(P1)-y(P6)),if((x(M)-x(P6))*(y(P1)-y(P6))~=(y(M)-y(P6))*(x(P1)-x(P6)),(x(M)-x(P6))/(x(P1)-x(P6)),invalid))" prompt="">Expression &quot;if(x(P1)~=x(P6),(y(M)-y(P6))/(y(P1)-y(P6)),if((x(M)-x(P6))*(y(P1)-y(P6))~=(y(M)-y(P6))*(x(P1)-x(P6)),(x(M)-x(P6))/(x(P1)-x(P6)),invalid))&quot; à 2.358, 0.16796</Expression>
<Expression name="E7" n="12" color="3" type="thick" hidden="super" showname="true" showvalue="true" x="3.6441854361465653" y="1.1070787633069465" value="E6/E3" prompt="Valeur">Expression &quot;E6/E3&quot; à 3.64419, 1.10708</Expression>
<Point name="P3" n="13" mainparameter="true" x="-5.871244635193164" y="-2.515021459227482">Point</Point>
<Function name="f2" n="14" color="1" hidden="super" x="x" y="f1(x)" var="x" min="min" max="max" d="1.0E-4" shape="cross" color="1">Fonction ( x , f1(x) )</Function>
<Point name="P2" n="15" color="2" hidden="super" x="x(P3)" actx="-5.871244635193164" y="E7" acty="0.0" shape="circle" fixed="true">Point</Point>
<Line name="l3" n="16" color="5" type="thin" hidden="super" from="P3" to="P2">Droite passant par P3 et P2</Line>
<Plumb name="perp1" n="17" color="5" type="thin" hidden="super" point="P2" line="l3" valid="true">Perpendiculaire passant par P2 à l3</Plumb>
<Intersection name="P4" n="18" color="2" type="thin" hidden="super" first="f2" second="perp1" x="4.984514902574362" y="26.845923280614898" shape="circle">Intersection entre f2 et perp1</Intersection>
<Expression name="E8" n="19" color="5" type="thick" hidden="super" showname="true" showvalue="true" x="1000" y="1000" value="x(P4)" prompt="invCote" fixed="true">Expression &quot;x(P4)&quot; à 1000.0, 1000.0</Expression>
<Point name="P5" n="20" color="2" hidden="true" showname="true" target="true" x="E8" actx="0.0" y="E8" acty="0.0" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/abq/H3W3" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="f2">f2</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="c">c</Parameter>
<Parameter name="d">d</Parameter>
<Parameter name="H1">H1</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Parameter name="H2">H2</Parameter>
<Parameter name="C">C</Parameter>
<Parameter name="D">D</Parameter>
<Objects>
<Expression name="a" n="0" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.6249999999999956" prompt="Valeur">Expression &quot;0.6249999999999956&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="1" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="11.249999999999996" prompt="Valeur">Expression &quot;11.249999999999996&quot; à 0.0, 0.0</Expression>
<Expression name="c" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="2.0000000000000107" prompt="Valeur">Expression &quot;2.0000000000000107&quot; à 0.0, 0.0</Expression>
<Expression name="d" n="3" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="12.5" prompt="Valeur">Expression &quot;12.5&quot; à 0.0, 0.0</Expression>
<Point name="H1" n="4" mainparameter="true" x="-5.425329745858053" y="0.0">Point</Point>
<Point name="H2" n="5" mainparameter="true" x="8.301177939083658" y="0.0">Point</Point>
<Function name="f1" n="6" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Function name="f2" n="7" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f2(x)=0</Function>
<Point name="C" n="8" mainparameter="true" x="8.301177939083658" y="1.9976638295777391">Point</Point>
<Point name="D" n="9" mainparameter="true" x="8.301177939083658" y="8.918206936176063">Point</Point>
<Point name="B" n="10" mainparameter="true" x="-5.425329745858053" y="8.139072944042478">Point</Point>
<Point name="A" n="11" mainparameter="true" x="-5.425329745858053" y="1.631012539161934">Point</Point>
<Expression name="E5" n="12" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="-8.939250982743543" y="6.656920703059506" value="d(A,B)/(f1(b)-f1(a))" prompt="k1">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à -8.93925, 6.65692</Expression>
<Expression name="E6" n="13" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="-9.099660922300458" y="5.786123888321966" value="d(C,D)/(f2(d)-f2(c))" prompt="k2">Expression &quot;d(C,D)/(f2(d)-f2(c))&quot; à -9.09966, 5.78612</Expression>
<Point name="P5" n="14" color="2" showname="true" target="true" x="(x(H2)-x(H1))*E5/(E5+E6)+x(H1)" actx="-1.4279764257289802" y="0" acty="0.0" shape="circle" fixed="true">Point</Point>
<Line name="l1" n="15" color="3" hidden="super" from="A" to="B">Droite passant par A et B</Line>
<Parallel name="par1" n="16" color="3" target="true" point="P5" line="l1">Parallèle passant par P5 à l1</Parallel>
<Expression name="E7" n="17" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="0.9832495641341854" y="-0.7677679278605529" value="d(A,B)/(f1(b)-f1(a))" prompt="mod">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à 0.98325, -0.76777</Expression>
<Point name="P1" n="18" color="5" type="thick" hidden="super" showname="true" x="x(A)-E7*f1(a)*(x(B)-x(A))/d(A,B)" actx="-5.425329745858053" y="y(A)-E7*f1(a)*(y(B)-y(A))/d(A,B)" acty="1.631012539161934" shape="circle" fixed="true">Point</Point>
<Expression name="E8" n="19" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="0.9832495641341854" y="-0.7677679278605529" value="d(C,D)/(f2(d)-f2(c))" prompt="mod">Expression &quot;d(C,D)/(f2(d)-f2(c))&quot; à 0.98325, -0.76777</Expression>
<Point name="P2" n="20" color="5" type="thick" hidden="super" showname="true" x="x(C)-E8*f2(c)*(x(D)-x(C))/d(C,D)" actx="8.301177939083658" y="y(C)-E8*f2(c)*(y(D)-y(C))/d(C,D)" acty="1.9976638295777391" shape="circle" fixed="true">Point</Point>
<Line name="l2" n="21" type="thin" hidden="super" from="P1" to="P2" partial="true">Droite passant par P1 et P2</Line>
<Intersection name="P3" n="22" color="5" type="thick" showname="true" target="true" first="par1" second="l2" shape="circle">Intersection entre par1 et l2</Intersection>
</Objects>
</Macro>
<Macro Name="mesmac/abq/placeEF" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="f2">f2</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="c">c</Parameter>
<Parameter name="d">d</Parameter>
<Parameter name="H1">H1</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Parameter name="H2">H2</Parameter>
<Parameter name="C">C</Parameter>
<Parameter name="D">D</Parameter>
<Objects>
<Expression name="a" n="0" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.6249999999999956" prompt="Valeur">Expression &quot;0.6249999999999956&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="1" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="4.9999999999999964" prompt="Valeur">Expression &quot;4.9999999999999964&quot; à 0.0, 0.0</Expression>
<Expression name="c" n="2" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-0.9999999999999982" prompt="Valeur">Expression &quot;-0.9999999999999982&quot; à 0.0, 0.0</Expression>
<Expression name="d" n="3" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="15.500000000000014" prompt="Valeur">Expression &quot;15.500000000000014&quot; à 0.0, 0.0</Expression>
<Point name="H1" n="4" mainparameter="true" x="-5.7298150213267105" y="0.0">Point</Point>
<Point name="H2" n="5" mainparameter="true" x="8.301177939083658" y="0.0">Point</Point>
<Function name="f1" n="6" color="5" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Function name="f2" n="7" color="5" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f2(x)=0</Function>
<Point name="C" n="8" mainparameter="true" x="8.301177939083658" y="1.9976638295777391">Point</Point>
<Point name="D" n="9" mainparameter="true" x="8.301177939083658" y="8.918206936176063">Point</Point>
<Point name="B" n="10" mainparameter="true" x="-5.7298150213267105" y="8.482808528807293">Point</Point>
<Point name="A" n="11" mainparameter="true" x="-5.7298150213267105" y="1.631012539161934">Point</Point>
<Expression name="E5" n="12" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="-8.421472098839752" y="6.738675263675895" value="d(A,B)/(f1(b)-f1(a))" prompt="k1">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à -8.42147, 6.73868</Expression>
<Expression name="E6" n="13" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="-8.581882038396667" y="5.867878448938355" value="d(C,D)/(f2(d)-f2(c))" prompt="k2">Expression &quot;d(C,D)/(f2(d)-f2(c))&quot; à -8.58188, 5.86788</Expression>
<Point name="P21" n="14" color="2" hidden="super" x="(x(H2)-x(H1))*E5/(E5+E6)+x(H1)" actx="5.17277451190576" y="0" acty="0.0" shape="circle" fixed="true">Point</Point>
<Line name="l1" n="15" color="3" hidden="super" from="A" to="B">Droite passant par A et B</Line>
<Parallel name="par1" n="16" color="5" type="thin" hidden="super" point="P21" line="l1">Parallèle passant par P21 à l1</Parallel>
<Line name="l2" n="17" color="5" type="thin" hidden="super" from="B" to="D" partial="true">Droite passant par B et D</Line>
<Line name="l3" n="18" color="5" type="thin" hidden="super" from="A" to="C" partial="true">Droite passant par A et C</Line>
<Intersection name="P1" n="19" color="2" showname="true" target="true" first="l2" second="par1" shape="circle">Intersection entre l2 et par1</Intersection>
<Intersection name="P2" n="20" color="2" showname="true" xcoffset="0.5964667583781624" ycoffset="0.7156751117133515" keepclose="true" target="true" first="l3" second="par1" shape="circle">Intersection entre l3 et par1</Intersection>
</Objects>
</Macro>
<Macro Name="mesmac/abq/ptImage" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="f2">f2</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="c">c</Parameter>
<Parameter name="d">d</Parameter>
<Comment>
<P>Renvoie le point de coordonnées f1(a)+f2(c)) et 
f1(b)+f2(d)).</P>
</Comment>
<Objects>
<Expression name="a" n="0" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0.6249999999999956" prompt="Valeur">Expression &quot;0.6249999999999956&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="1" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="4.9999999999999964" prompt="Valeur">Expression &quot;4.9999999999999964&quot; à 0.0, 0.0</Expression>
<Expression name="c" n="2" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="-0.9999999999999982" prompt="Valeur">Expression &quot;-0.9999999999999982&quot; à 0.0, 0.0</Expression>
<Expression name="d" n="3" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="15.500000000000014" prompt="Valeur">Expression &quot;15.500000000000014&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="4" color="5" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Function name="f2" n="5" color="5" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f2(x)=0</Function>
<Expression name="E5" n="6" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="15.46109891346947" y="6.753130766094062" value="f1(a)+f2(c)" prompt="e&apos;">Expression &quot;f1(a)+f2(c)&quot; à 15.4611, 6.75313</Expression>
<Expression name="E6" n="7" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="16.169412243032276" y="8.465715301884396" value="f1(b)+f2(d)" prompt="f&apos;">Expression &quot;f1(b)+f2(d)&quot; à 16.16941, 8.46572</Expression>
<Point name="P5" n="8" color="2" showname="true" target="true" x="E5" actx="0.0" y="E6" acty="0.0" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/abq/PdeCote_p" showduplicates="true">
<Parameter name="f1">f1</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="p">p</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Objects>
<Point name="A" n="0" mainparameter="true" x="-4.02218283512578" y="2.501334146446647">Point</Point>
<Point name="B" n="1" mainparameter="true" x="1.9514349327009572" y="3.869485312626319">Point</Point>
<Expression name="a" n="2" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="4.3749999999999964" prompt="Valeur">Expression &quot;4.3749999999999964&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="3" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="14.375000000000021" prompt="Valeur">Expression &quot;14.375000000000021&quot; à 0.0, 0.0</Expression>
<Expression name="p" n="4" color="1" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="5.078124999999991" prompt="Valeur">Expression &quot;5.078124999999991&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="5" color="1" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Expression name="E4" n="6" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="3.430505875469656" y="2.508086977076691" value="d(A,B)/(f1(b)-f1(a))" prompt="r">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à 3.43051, 2.50809</Expression>
<Expression name="E5" n="7" color="1" type="thick" hidden="super" showname="true" showvalue="true" x="0.11611150106256396" y="-0.6714192541859267" value="d(A,B)/(f1(b)-f1(a))" prompt="mod">Expression &quot;d(A,B)/(f1(b)-f1(a))&quot; à 0.11611, -0.67142</Expression>
<Point name="P21" n="8" color="2" hidden="super" showname="true" x="x(A)-E5*f1(a)*(x(B)-x(A))/d(A,B)" actx="-4.02218283512578" y="y(A)-E5*f1(a)*(y(B)-y(A))/d(A,B)" acty="2.501334146446647" shape="circle" fixed="true">Point</Point>
<Point name="P1" n="9" color="2" hidden="super" showname="true" x="x(P21)+1/d(P21,B)*(x(B)-x(P21))" actx="-3.047421998122946" y="y(P21)+1/d(P21,B)*(y(B)-y(P21))" acty="2.724585822018264" shape="circle" fixed="true">Point</Point>
<Segment name="v1" n="10" color="4" scolor="4,,0,,46" hidden="super" from="P21" to="P1" arrow="true">Vecteur de P21 à P1</Segment>
<Point name="P2" n="11" color="2" showname="true" target="true" x="x(P21)+E4*f1(p)*x(v1)" actx="-4.02218283512578" y="y(P21)+E4*f1(p)*y(v1)" acty="2.501334146446647" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/abq/Ptef" showduplicates="true">
<Parameter name="f1">f</Parameter>
<Parameter name="E39">min</Parameter>
<Parameter name="E40">max</Parameter>
<Parameter name="x">x</Parameter>
<Parameter name="y">y</Parameter>
<Parameter name="P3">Pt qque</Parameter>
<Comment>
<P>renvoie le point de coordonnées inverses de deux réels sur
un même intervale d&apos;injectivité</P>
</Comment>
<Objects>
<Expression name="x" n="0" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="5.496093749999986" prompt="Valeur">Expression &quot;5.496093749999986&quot; à 0.0, 0.0</Expression>
<Expression name="y" n="1" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="8.5625" prompt="Valeur">Expression &quot;8.5625&quot; à 0.0, 0.0</Expression>
<Function name="f1" n="2" color="5" type="thick" showname="true" showvalue="true" mainparameter="true" f="0" x="0.0" y="0.0" var="x">f1(x)=0</Function>
<Expression name="E39" n="3" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="0" prompt="Valeur">Expression &quot;0&quot; à 0.0, 0.0</Expression>
<Expression name="E40" n="4" color="5" type="thick" showname="true" mainparameter="true" x="0.0" y="0.0" value="30" prompt="Valeur">Expression &quot;30&quot; à 0.0, 0.0</Expression>
<Point name="P3" n="5" mainparameter="true" x="-4.36586669333801" y="1.787370946733608">Point</Point>
<Function name="f2" n="6" color="1" hidden="super" x="x" y="f1(x)" var="x" min="E39" max="E40" d="1.0E-4" shape="cross" color="1">Fonction ( x , f1(x) )</Function>
<Point name="P21" n="7" color="2" hidden="super" x="x(P3)" actx="-4.36586669333801" y="x" acty="5.496093749999986" shape="circle" fixed="true">Point</Point>
<Line name="l3" n="8" color="5" type="thin" hidden="super" from="P3" to="P21">Droite passant par P3 et P21</Line>
<Plumb name="perp1" n="9" color="5" type="thin" hidden="super" point="P21" line="l3" valid="true">Perpendiculaire passant par P21 à l3</Plumb>
<Intersection name="P1" n="10" color="2" type="thin" hidden="super" first="f2" second="perp1" x="2.120353132387704" y="5.496093749999986" shape="circle">Intersection entre f2 et perp1</Intersection>
<Expression name="E5" n="11" color="5" type="thick" hidden="super" showname="true" showvalue="true" x="5.941348605055366" y="2.7760456293679345" value="x(P1)" prompt="invCote">Expression &quot;x(P1)&quot; à 5.94135, 2.77605</Expression>
<Function name="f4" n="12" color="1" hidden="super" x="x" y="f1(x)" var="x" min="E39" max="E40" d="1.0E-4" shape="cross" color="1">Fonction ( x , f1(x) )</Function>
<Point name="P2" n="13" color="2" hidden="super" x="x(P3)" actx="-4.36586669333801" y="y" acty="8.5625" shape="circle" fixed="true">Point</Point>
<Line name="l5" n="14" color="5" type="thin" hidden="super" from="P3" to="P2">Droite passant par P3 et P2</Line>
<Plumb name="perp2" n="15" color="5" type="thin" hidden="super" point="P2" line="l5" valid="true">Perpendiculaire passant par P2 à l5</Plumb>
<Intersection name="P4" n="16" color="2" type="thin" hidden="super" first="f4" second="perp2" x="2.7499635701275045" y="8.5625" shape="circle">Intersection entre f4 et perp2</Intersection>
<Expression name="E6" n="17" color="5" type="thick" hidden="super" showname="true" showvalue="true" x="7.011067565579131" y="5.685557986433383" value="x(P4)" prompt="invCote">Expression &quot;x(P4)&quot; à 7.01107, 5.68556</Expression>
<Point name="P5" n="18" color="2" hidden="true" showname="true" target="true" x="E5" actx="0.0" y="E6" acty="0.0" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
<Macro Name="mesmac/som1" showduplicates="true">
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Objects>
<Expression name="a" n="0" color="2" type="thick" showname="true" parameter="true" mainparameter="true" x="0.0" y="0.0" value="-5" prompt="Valeur">Expression &quot;-5&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="1" color="2" type="thick" showname="true" parameter="true" mainparameter="true" x="0.0" y="0.0" value="-5" prompt="Valeur">Expression &quot;-5&quot; à 0.0, 0.0</Expression>
<Expression name="E3" n="2" color="2" type="thick" showname="true" showvalue="true" x="-5.747502270663034" y="0.5086285195277025" value="a+b" prompt="a+b">Expression &quot;a+b&quot; à -5.7475, 0.50863</Expression>
</Objects>
</Macro>
<Macro Name="mesmac/som2" showduplicates="true">
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Objects>
<Expression name="a" n="0" color="2" type="thick" showname="true" parameter="true" mainparameter="true" x="0.0" y="0.0" value="-1.7499999999999987" prompt="Valeur">Expression &quot;-1.7499999999999987&quot; à 0.0, 0.0</Expression>
<Expression name="b" n="1" color="2" type="thick" showname="true" parameter="true" mainparameter="true" x="0.0" y="0.0" value="3.6666666666666643" prompt="Valeur">Expression &quot;3.6666666666666643&quot; à 0.0, 0.0</Expression>
<Expression name="E3" n="2" color="2" type="thick" showname="true" showvalue="true" x="-2.1730341855566513" y="0.9247041696459055" value="a+b" prompt="a+b">Expression &quot;a+b&quot; à -2.17303, 0.9247</Expression>
<Point name="P1" n="3" color="5" showname="true" target="true" x="E3" actx="1.9166666666666656" y="E3" acty="1.9166666666666656" shape="circle" fixed="true">Point</Point>
</Objects>
</Macro>
</CaR>
